<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."new_generation_control_panel/styles.css' type='text/css' />";

if (!checkrights("NGCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."new_generation_control_panel/locale.php";

include INFUSIONS."new_generation_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['ng_s1_img'] = (int) set_setting("new_generation_s1_img", stripinput($_POST['ng_s1_img']), "new_generation_control_panel");
	$save['ng_s1_title'] = (int) set_setting("new_generation_s1_title", stripinput($_POST['ng_s1_title']), "new_generation_control_panel");
	$save['ng_s1_url'] = (int) set_setting("new_generation_s1_url", stripinput($_POST['ng_s1_url']), "new_generation_control_panel");
	$save['ng_s2_img'] = (int) set_setting("new_generation_s2_img", stripinput($_POST['ng_s2_img']), "new_generation_control_panel");
	$save['ng_s2_title'] = (int) set_setting("new_generation_s2_title", stripinput($_POST['ng_s2_title']), "new_generation_control_panel");
	$save['ng_s2_url'] = (int) set_setting("new_generation_s2_url", stripinput($_POST['ng_s2_url']), "new_generation_control_panel");
	$save['ng_s3_img'] = (int) set_setting("new_generation_s3_img", stripinput($_POST['ng_s3_img']), "new_generation_control_panel");
	$save['ng_s3_title'] = (int) set_setting("new_generation_s3_title", stripinput($_POST['ng_s3_title']), "new_generation_control_panel");
	$save['ng_s3_url'] = (int) set_setting("new_generation_s3_url", stripinput($_POST['ng_s3_url']), "new_generation_control_panel");
	$save['ng_s4_img'] = (int) set_setting("new_generation_s4_img", stripinput($_POST['ng_s4_img']), "new_generation_control_panel");
	$save['ng_s4_title'] = (int) set_setting("new_generation_s4_title", stripinput($_POST['ng_s4_title']), "new_generation_control_panel");
	$save['ng_s4_url'] = (int) set_setting("new_generation_s4_url", stripinput($_POST['ng_s4_url']), "new_generation_control_panel");
	$save['ng_s5_img'] = (int) set_setting("new_generation_s5_img", stripinput($_POST['ng_s5_img']), "new_generation_control_panel");
	$save['ng_s5_title'] = (int) set_setting("new_generation_s5_title", stripinput($_POST['ng_s5_title']), "new_generation_control_panel");
	$save['ng_s5_url'] = (int) set_setting("new_generation_s5_url", stripinput($_POST['ng_s5_url']), "new_generation_control_panel");
	$save['ng_s6_img'] = (int) set_setting("new_generation_s6_img", stripinput($_POST['ng_s6_img']), "new_generation_control_panel");
	$save['ng_s6_title'] = (int) set_setting("new_generation_s6_title", stripinput($_POST['ng_s6_title']), "new_generation_control_panel");
	$save['ng_s6_url'] = (int) set_setting("new_generation_s6_url", stripinput($_POST['ng_s6_url']), "new_generation_control_panel");	
	$save['ng_s7_img'] = (int) set_setting("new_generation_s7_img", stripinput($_POST['ng_s7_img']), "new_generation_control_panel");
	$save['ng_s7_title'] = (int) set_setting("new_generation_s7_title", stripinput($_POST['ng_s7_title']), "new_generation_control_panel");
	$save['ng_s7_url'] = (int) set_setting("new_generation_s7_url", stripinput($_POST['ng_s7_url']), "new_generation_control_panel");
	$save['ng_s8_img'] = (int) set_setting("new_generation_s8_img", stripinput($_POST['ng_s8_img']), "new_generation_control_panel");
	$save['ng_s8_title'] = (int) set_setting("new_generation_s8_title", stripinput($_POST['ng_s8_title']), "new_generation_control_panel");
	$save['ng_s8_url'] = (int) set_setting("new_generation_s8_url", stripinput($_POST['ng_s8_url']), "new_generation_control_panel");

	
	$message = array_sum($save) == 24 ? $locale['ngcp_saved'] : $locale['ngcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['ngcp_title_004']);

$inf_settings = get_settings("new_generation_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'new_generation_s1_img' => "",
		'new_generation_s1_title' => "",
		'new_generation_s1_url' => "",
		'new_generation_s2_img' => "",
		'new_generation_s2_title' => "",
		'new_generation_s2_url' => "",
		'new_generation_s3_img' => "",
		'new_generation_s3_title' => "",
		'new_generation_s3_url' => "",		
		'new_generation_s4_img' => "",
		'new_generation_s4_title' => "",
		'new_generation_s4_url' => "",
		'new_generation_s5_img' => "",
		'new_generation_s5_title' => "",
		'new_generation_s5_url' => "",
		'new_generation_s6_img' => "",
		'new_generation_s6_title' => "",
		'new_generation_s6_url' => "",
		'new_generation_s7_img' => "",
		'new_generation_s7_title' => "",
		'new_generation_s7_url' => "",
		'new_generation_s8_img' => "",
		'new_generation_s8_title' => "",
		'new_generation_s8_url' => ""
	);
	set_setting("new_generation_s1_img", "", "new_generation_control_panel");
	set_setting("new_generation_s1_title", "", "new_generation_control_panel");
	set_setting("new_generation_s1_url", "", "new_generation_control_panel");
	set_setting("new_generation_s2_img", "", "new_generation_control_panel");
	set_setting("new_generation_s2_title", "", "new_generation_control_panel");
	set_setting("new_generation_s2_url", "", "new_generation_control_panel");
	set_setting("new_generation_s3_img", "", "new_generation_control_panel");
	set_setting("new_generation_s3_title", "", "new_generation_control_panel");
	set_setting("new_generation_s3_url", "", "new_generation_control_panel");
	set_setting("new_generation_s4_img", "", "new_generation_control_panel");
	set_setting("new_generation_s4_title", "", "new_generation_control_panel");
	set_setting("new_generation_s4_url", "", "new_generation_control_panel");
	set_setting("new_generation_s5_img", "", "new_generation_control_panel");
	set_setting("new_generation_s5_title", "", "new_generation_control_panel");
	set_setting("new_generation_s5_url", "", "new_generation_control_panel");
	set_setting("new_generation_s6_img", "", "new_generation_control_panel");
	set_setting("new_generation_s6_title", "", "new_generation_control_panel");
	set_setting("new_generation_s6_url", "", "new_generation_control_panel");
	set_setting("new_generation_s7_img", "", "new_generation_control_panel");
	set_setting("new_generation_s7_title", "", "new_generation_control_panel");
	set_setting("new_generation_s7_url", "", "new_generation_control_panel");
	set_setting("new_generation_s8_img", "", "new_generation_control_panel");
	set_setting("new_generation_s8_title", "", "new_generation_control_panel");
	set_setting("new_generation_s8_url", "", "new_generation_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 24) {
	array_key_exists("new_generation_s1_img", $inf_settings) ? $inf_settings['new_generation_s1_img'] : set_setting("new_generation_s1_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s1_title", $inf_settings) ? $inf_settings['new_generation_s1_title'] : set_setting("new_generation_s1_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s1_url", $inf_settings) ? $inf_settings['new_generation_s1_url'] : set_setting("new_generation_s1_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s2_img", $inf_settings) ? $inf_settings['new_generation_s2_img'] : set_setting("new_generation_s2_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s2_title", $inf_settings) ? $inf_settings['new_generation_s2_title'] : set_setting("new_generation_s2_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s2_url", $inf_settings) ? $inf_settings['new_generation_s2_url'] : set_setting("new_generation_s2_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s3_img", $inf_settings) ? $inf_settings['new_generation_s3_img'] : set_setting("new_generation_s3_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s3_title", $inf_settings) ? $inf_settings['new_generation_s3_title'] : set_setting("new_generation_s3_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s3_url", $inf_settings) ? $inf_settings['new_generation_s3_url'] : set_setting("new_generation_s3_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s4_img", $inf_settings) ? $inf_settings['new_generation_s4_img'] : set_setting("new_generation_s4_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s4_title", $inf_settings) ? $inf_settings['new_generation_s4_title'] : set_setting("new_generation_s4_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s4_url", $inf_settings) ? $inf_settings['new_generation_s4_url'] : set_setting("new_generation_s4_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s5_img", $inf_settings) ? $inf_settings['new_generation_s5_img'] : set_setting("new_generation_s5_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s5_title", $inf_settings) ? $inf_settings['new_generation_s5_title'] : set_setting("new_generation_s5_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s5_url", $inf_settings) ? $inf_settings['new_generation_s5_url'] : set_setting("new_generation_s5_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s6_img", $inf_settings) ? $inf_settings['new_generation_s6_img'] : set_setting("new_generation_s6_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s6_title", $inf_settings) ? $inf_settings['new_generation_s6_title'] : set_setting("new_generation_s6_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s6_url", $inf_settings) ? $inf_settings['new_generation_s6_url'] : set_setting("new_generation_s6_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s7_img", $inf_settings) ? $inf_settings['new_generation_s7_img'] : set_setting("new_generation_s7_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s7_title", $inf_settings) ? $inf_settings['new_generation_s7_title'] : set_setting("new_generation_s7_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s7_url", $inf_settings) ? $inf_settings['new_generation_s7_url'] : set_setting("new_generation_s7_url", "", "new_generation_control_panel");
	array_key_exists("new_generation_s8_img", $inf_settings) ? $inf_settings['new_generation_s8_img'] : set_setting("new_generation_s8_img", "", "new_generation_control_panel");
	array_key_exists("new_generation_s8_title", $inf_settings) ? $inf_settings['new_generation_s8_title'] : set_setting("new_generation_s8_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_s8_url", $inf_settings) ? $inf_settings['new_generation_s8_url'] : set_setting("new_generation_s8_url", "", "new_generation_control_panel");
}

	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table ng-control-panel-admin'>\n";
	
		//1
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_201']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s1_img", $inf_settings) && strlen($inf_settings['new_generation_s1_img']) ? "<a href='".$inf_settings['new_generation_s1_url']."' target='_blank' title='".$inf_settings['new_generation_s1_title']."'><img src='".$inf_settings['new_generation_s1_img']."' alt='".$inf_settings['new_generation_s1_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s1_img' value='".$inf_settings['new_generation_s1_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s1_title' value='".$inf_settings['new_generation_s1_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s1_url' value='".$inf_settings['new_generation_s1_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//2
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_202']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s2_img", $inf_settings) && strlen($inf_settings['new_generation_s2_img']) ? "<a href='".$inf_settings['new_generation_s2_url']."' target='_blank' title='".$inf_settings['new_generation_s2_title']."'><img src='".$inf_settings['new_generation_s2_img']."' alt='".$inf_settings['new_generation_s2_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s2_img' value='".$inf_settings['new_generation_s2_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s2_title' value='".$inf_settings['new_generation_s2_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s2_url' value='".$inf_settings['new_generation_s2_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//3
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_203']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s3_img", $inf_settings) && strlen($inf_settings['new_generation_s3_img']) ? "<a href='".$inf_settings['new_generation_s3_url']."' target='_blank' title='".$inf_settings['new_generation_s3_title']."'><img src='".$inf_settings['new_generation_s3_img']."' alt='".$inf_settings['new_generation_s3_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s3_img' value='".$inf_settings['new_generation_s3_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s3_title' value='".$inf_settings['new_generation_s3_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s3_url' value='".$inf_settings['new_generation_s3_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//4
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_204']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s4_img", $inf_settings) && strlen($inf_settings['new_generation_s4_img']) ? "<a href='".$inf_settings['new_generation_s4_url']."' target='_blank' title='".$inf_settings['new_generation_s4_title']."'><img src='".$inf_settings['new_generation_s4_img']."' alt='".$inf_settings['new_generation_s4_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s4_img' value='".$inf_settings['new_generation_s4_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s4_title' value='".$inf_settings['new_generation_s4_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s4_url' value='".$inf_settings['new_generation_s4_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//5
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_205']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s5_img", $inf_settings) && strlen($inf_settings['new_generation_s5_img']) ? "<a href='".$inf_settings['new_generation_s5_url']."' target='_blank' title='".$inf_settings['new_generation_s5_title']."'><img src='".$inf_settings['new_generation_s5_img']."' alt='".$inf_settings['new_generation_s5_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s5_img' value='".$inf_settings['new_generation_s5_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s5_title' value='".$inf_settings['new_generation_s5_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s5_url' value='".$inf_settings['new_generation_s5_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//6
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_206']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s6_img", $inf_settings) && strlen($inf_settings['new_generation_s6_img']) ? "<a href='".$inf_settings['new_generation_s6_url']."' target='_blank' title='".$inf_settings['new_generation_s6_title']."'><img src='".$inf_settings['new_generation_s6_img']."' alt='".$inf_settings['new_generation_s6_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s6_img' value='".$inf_settings['new_generation_s6_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s6_title' value='".$inf_settings['new_generation_s6_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s6_url' value='".$inf_settings['new_generation_s6_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//7
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_207']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s7_img", $inf_settings) && strlen($inf_settings['new_generation_s7_img']) ? "<a href='".$inf_settings['new_generation_s7_url']."' target='_blank' title='".$inf_settings['new_generation_s7_title']."'><img src='".$inf_settings['new_generation_s7_img']."' alt='".$inf_settings['new_generation_s7_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s7_img' value='".$inf_settings['new_generation_s7_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s7_title' value='".$inf_settings['new_generation_s7_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s7_url' value='".$inf_settings['new_generation_s7_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		//8
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_208']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("new_generation_s8_img", $inf_settings) && strlen($inf_settings['new_generation_s8_img']) ? "<a href='".$inf_settings['new_generation_s8_url']."' target='_blank' title='".$inf_settings['new_generation_s8_title']."'><img src='".$inf_settings['new_generation_s8_img']."' alt='".$inf_settings['new_generation_s8_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_img'].":<br/ > <small><i>".$locale['ngcp_209']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s8_img' value='".$inf_settings['new_generation_s8_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s8_title' value='".$inf_settings['new_generation_s8_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_url'].":<br /> <small><i>".$locale['ngcp_210']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_s8_url' value='".$inf_settings['new_generation_s8_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
	echo "</div>\n";
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['ngcp_save']."' /></div>\n";    
	echo "</form>\n";

closetable();

include INFUSIONS."new_generation_control_panel/updater.php";
require_once THEMES."templates/footer.php";
?>
