<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Vlad Fagarasanu (Faga)
| Site: http://cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { exit("Access Denied"); }

require INFUSIONS."new_generation_control_panel/locale.php";

$inf_title = $locale['ngcp_ititle'];
$inf_description = $locale['ngcp_desc'];
$inf_version = "1.1";
$inf_developer = "Vlad Fagarasanu";
$inf_email = "office@cvision.eu";
$inf_weburl = "http://cvision.eu";

$inf_folder = "new_generation_control_panel";

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_ed_social_icons', '0', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_ed_google_analytics', '0', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_ed_footer', '0', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_ed_back_to_top', '1', '".$inf_folder."')";

//Google Analytics
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_google_analytics', '', '".$inf_folder."')";

//Social Icons
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s1_img', 'http://cloud.cvision.eu/images/social-icons/new-generation/facebook.png', '".$inf_folder."')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s1_title', 'Like us on Facebook', '".$inf_folder."')";
$inf_insertdbrow[8] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s1_url', 'http://cvision.eu/themes/Brolog/images/social-icons/facebook.png', '".$inf_folder."')";
$inf_insertdbrow[9] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s2_img', 'http://cloud.cvision.eu/images/social-icons/new-generation/twitter.png', '".$inf_folder."')";
$inf_insertdbrow[10] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s2_title', 'Follow us on Twitter', '".$inf_folder."')";
$inf_insertdbrow[11] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s2_url', 'http://cvision.eu/themes/Brolog/images/social-icons/twitter.png', '".$inf_folder."')";
$inf_insertdbrow[12] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s3_img', 'http://cloud.cvision.eu/images/social-icons/new-generation/youtube.png', '".$inf_folder."')";
$inf_insertdbrow[13] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s3_title', 'YouTube profile!', '".$inf_folder."')";
$inf_insertdbrow[14] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s3_url', 'http://cvision.eu/', '".$inf_folder."')";
$inf_insertdbrow[15] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s4_img', 'http://cloud.cvision.eu/images/social-icons/new-generation/flickr.png', '".$inf_folder."')";
$inf_insertdbrow[16] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s4_title', 'cVision on Flickr', '".$inf_folder."')";
$inf_insertdbrow[17] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s4_url', 'https://www.flickr.com/photos/vfagarasanu/sets/72157644974901352/', '".$inf_folder."')";
$inf_insertdbrow[18] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s5_img', 'http://cloud.cvision.eu/images/social-icons/new-generation/rss.png', '".$inf_folder."')";
$inf_insertdbrow[19] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s5_title', 'RSS', '".$inf_folder."')";
$inf_insertdbrow[20] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s5_url', 'http://cvision.eu/', '".$inf_folder."')";
$inf_insertdbrow[21] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s6_img', '', '".$inf_folder."')";
$inf_insertdbrow[22] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s6_title', '', '".$inf_folder."')";
$inf_insertdbrow[23] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s6_url', '', '".$inf_folder."')";
$inf_insertdbrow[24] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s7_img', '', '".$inf_folder."')";
$inf_insertdbrow[25] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s7_title', '', '".$inf_folder."')";
$inf_insertdbrow[26] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s7_url', '', '".$inf_folder."')";
$inf_insertdbrow[27] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s8_img', '', '".$inf_folder."')";
$inf_insertdbrow[28] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s8_title', '', '".$inf_folder."')";
$inf_insertdbrow[29] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_s8_url', '', '".$inf_folder."')";

//Footer URL's
$inf_insertdbrow[30] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel1_title', '', '".$inf_folder."')";
$inf_insertdbrow[31] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel2_title', '', '".$inf_folder."')";
$inf_insertdbrow[32] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel3_title', '', '".$inf_folder."')";
$inf_insertdbrow[33] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel4_title', '', '".$inf_folder."')";
$inf_insertdbrow[34] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel5_title', '', '".$inf_folder."')";
$inf_insertdbrow[35] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel1_content', '', '".$inf_folder."')";
$inf_insertdbrow[36] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel2_content', '', '".$inf_folder."')";
$inf_insertdbrow[37] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel3_content', '', '".$inf_folder."')";
$inf_insertdbrow[38] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel4_content', '', '".$inf_folder."')";
$inf_insertdbrow[39] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('new_generation_footer_panel5_content', '', '".$inf_folder."')";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['ngcp_ititle'],
	"image" => "ngcp.gif",
	"panel" => "manage.php",
	"rights" => "NGCP"
);
?>
