<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."new_generation_control_panel/styles.css' type='text/css' />";

if (!checkrights("NGCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."new_generation_control_panel/locale.php";

include INFUSIONS."new_generation_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['ng_footer_panel1_title'] = (int) set_setting("new_generation_footer_panel1_title", stripinput($_POST['ng_footer_panel1_title']), "new_generation_control_panel");
	$save['ng_footer_panel2_title'] = (int) set_setting("new_generation_footer_panel2_title", stripinput($_POST['ng_footer_panel2_title']), "new_generation_control_panel");
	$save['ng_footer_panel3_title'] = (int) set_setting("new_generation_footer_panel3_title", stripinput($_POST['ng_footer_panel3_title']), "new_generation_control_panel");
	$save['ng_footer_panel4_title'] = (int) set_setting("new_generation_footer_panel4_title", stripinput($_POST['ng_footer_panel4_title']), "new_generation_control_panel");
	$save['ng_footer_panel5_title'] = (int) set_setting("new_generation_footer_panel5_title", stripinput($_POST['ng_footer_panel5_title']), "new_generation_control_panel");
	$save['ng_footer_panel1_content'] = (int) set_setting("new_generation_footer_panel1_content", addslashes(addslashes($_POST['ng_footer_panel1_content'])), "new_generation_control_panel");
	$save['ng_footer_panel2_content'] = (int) set_setting("new_generation_footer_panel2_content", addslashes(addslashes($_POST['ng_footer_panel2_content'])), "new_generation_control_panel");
	$save['ng_footer_panel3_content'] = (int) set_setting("new_generation_footer_panel3_content", addslashes(addslashes($_POST['ng_footer_panel3_content'])), "new_generation_control_panel");
	$save['ng_footer_panel4_content'] = (int) set_setting("new_generation_footer_panel4_content", addslashes(addslashes($_POST['ng_footer_panel4_content'])), "new_generation_control_panel");
	$save['ng_footer_panel5_content'] = (int) set_setting("new_generation_footer_panel5_content", addslashes(addslashes($_POST['ng_footer_panel5_content'])), "new_generation_control_panel");
	
	$message = array_sum($save) == 10 ? $locale['ngcp_saved'] : $locale['ngcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['ngcp_title_002']);

$inf_settings = get_settings("new_generation_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'new_generation_footer_panel1_title' => "",
		'new_generation_footer_panel2_title' => "",
		'new_generation_footer_panel3_title' => "",
		'new_generation_footer_panel4_title' => "",
		'new_generation_footer_panel5_title' => "",
		'new_generation_footer_panel1_content' => "",
		'new_generation_footer_panel2_content' => "",
		'new_generation_footer_panel3_content' => "",
		'new_generation_footer_panel4_content' => "",
		'new_generation_footer_panel5_content' => ""	
	);
	set_setting("new_generation_footer_panel1_title", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel2_title", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel3_title", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel4_title", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel5_title", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel1_content", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel2_content", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel3_content", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel4_content", "", "new_generation_control_panel");
	set_setting("new_generation_footer_panel5_content", "", "new_generation_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 10) {
	array_key_exists("new_generation_footer_panel1_title", $inf_settings) ? $inf_settings['new_generation_footer_panel1_title'] : set_setting("new_generation_footer_panel1_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel2_title", $inf_settings) ? $inf_settings['new_generation_footer_panel2_title'] : set_setting("new_generation_footer_panel2_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel3_title", $inf_settings) ? $inf_settings['new_generation_footer_panel3_title'] : set_setting("new_generation_footer_panel3_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel4_title", $inf_settings) ? $inf_settings['new_generation_footer_panel4_title'] : set_setting("new_generation_footer_panel4_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel5_title", $inf_settings) ? $inf_settings['new_generation_footer_panel5_title'] : set_setting("new_generation_footer_panel5_title", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel1_content", $inf_settings) ? $inf_settings['new_generation_footer_panel1_content'] : set_setting("new_generation_footer_panel1_content", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel2_content", $inf_settings) ? $inf_settings['new_generation_footer_panel2_content'] : set_setting("new_generation_footer_panel2_content", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel3_content", $inf_settings) ? $inf_settings['new_generation_footer_panel3_content'] : set_setting("new_generation_footer_panel3_content", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel4_content", $inf_settings) ? $inf_settings['new_generation_footer_panel4_content'] : set_setting("new_generation_footer_panel4_content", "", "new_generation_control_panel");
	array_key_exists("new_generation_footer_panel5_content", $inf_settings) ? $inf_settings['new_generation_footer_panel5_content'] : set_setting("new_generation_footer_panel5_content", "", "new_generation_control_panel");

}
	
	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table ng-control-panel-admin'>\n";
	
		//Panel #1
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_301']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_footer_panel1_title' value='".$inf_settings['new_generation_footer_panel1_title']."' style='width:280px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_content'].": <br/> <small><i>".$locale['ngcp_307'] ."</i></small> </br> <div id='exemp'>".$locale['ngcp_306'] ."</div></div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='15' class='textbox' name='ng_footer_panel1_content' >".stripslashes($inf_settings['new_generation_footer_panel1_content'])."</textarea></div>\n";
		echo "</div>\n";
		
		//Panel #2
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_302']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_footer_panel2_title' value='".$inf_settings['new_generation_footer_panel2_title']."' style='width:280px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_content'].": <br/> <small><i>".$locale['ngcp_307'] ."</i></small> </br> <div id='exemp'>".$locale['ngcp_306'] ."</div></div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='15' class='textbox' name='ng_footer_panel2_content' >".stripslashes($inf_settings['new_generation_footer_panel2_content'])."</textarea></div>\n";
		echo "</div>\n";
	
		//Panel #3
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_303']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_footer_panel3_title' value='".$inf_settings['new_generation_footer_panel3_title']."' style='width:280px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_content'].": <br/> <small><i>".$locale['ngcp_307'] ."</i></small> </br> <div id='exemp'>".$locale['ngcp_306'] ."</div></div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='15' class='textbox' name='ng_footer_panel3_content' >".stripslashes($inf_settings['new_generation_footer_panel3_content'])."</textarea></div>\n";
		echo "</div>\n";
		
		//Panel #4
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_304']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_footer_panel4_title' value='".$inf_settings['new_generation_footer_panel4_title']."' style='width:280px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_content'].": <br/> <small><i>".$locale['ngcp_307'] ."</i></small> </br> <div id='exemp'>".$locale['ngcp_306'] ."</div></div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='15' class='textbox' name='ng_footer_panel4_content' >".stripslashes($inf_settings['new_generation_footer_panel4_content'])."</textarea></div>\n";
		echo "</div>\n";
		
		//Panel #5
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['ngcp_305']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_title'].":</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='ng_footer_panel5_title' value='".$inf_settings['new_generation_footer_panel5_title']."' style='width:280px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['ngcp_content'].": <br/> <small><i>".$locale['ngcp_307'] ."</i></small> </br> <div id='exemp'>".$locale['ngcp_306'] ."</div></div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='15' class='textbox' name='ng_footer_panel5_content' >".stripslashes($inf_settings['new_generation_footer_panel5_content'])."</textarea></div>\n";
		echo "</div>\n";
		
	echo "</div>\n";
    
	echo "<div align='center' style='padding-top: 10px;'>";
		echo "<input type='submit' class='button' name='save_links' value='".$locale['ngcp_save']."' />";
	echo "</div>\n";    
	echo "</form>\n";
	
closetable();

include INFUSIONS."new_generation_control_panel/updater.php";
require_once THEMES."templates/footer.php";
?>
